diff -urN a/xbmc/platform/posix/utils/PosixInterfaceForCLog.cpp b/xbmc/platform/posix/utils/PosixInterfaceForCLog.cpp
--- a/xbmc/platform/posix/utils/PosixInterfaceForCLog.cpp	Mon Jan 28 11:15:50 2019
+++ b/xbmc/platform/posix/utils/PosixInterfaceForCLog.cpp	Wed Feb 06 10:40:15 2019
@@ -83,13 +83,16 @@
 #endif // _DEBUG
 }
 
-void CPosixInterfaceForCLog::GetCurrentLocalTime(int &hour, int &minute, int &second, double &milliseconds)
+void CPosixInterfaceForCLog::GetCurrentLocalTime(int &year, int &month, int &day, int &hour, int &minute, int &second, double &milliseconds)
 {
   struct tm localTime;
   struct timeval tv;
 
   if (gettimeofday(&tv, nullptr) != -1 && localtime_r(&tv.tv_sec, &localTime) != NULL)
   {
+    year   = localTime.tm_year + 1900;
+    month  = localTime.tm_mon + 1;
+    day    = localTime.tm_mday;
     hour   = localTime.tm_hour;
     minute = localTime.tm_min;
     second = localTime.tm_sec;
@@ -97,7 +100,7 @@
   }
   else
   {
-    hour = minute = second = 0;
+    year = month = day = hour = minute = second = 0;
     milliseconds = 0.0;
   }
 }
diff -urN a/xbmc/platform/posix/utils/PosixInterfaceForCLog.h b/xbmc/platform/posix/utils/PosixInterfaceForCLog.h
--- a/xbmc/platform/posix/utils/PosixInterfaceForCLog.h	Mon Jan 28 11:15:50 2019
+++ b/xbmc/platform/posix/utils/PosixInterfaceForCLog.h	Wed Feb 06 10:14:25 2019
@@ -21,7 +21,7 @@
   void CloseLogFile(void);
   bool WriteStringToLog(const std::string& logString);
   void PrintDebugString(const std::string& debugString);
-  static void GetCurrentLocalTime(int& hour, int& minute, int& second, double& millisecond);
+  static void GetCurrentLocalTime(int &year, int &month, int &day, int& hour, int& minute, int& second, double& millisecond);
 private:
   FILEWRAP* m_file;
 };
diff -urN a/xbmc\platform\win32\utils\Win32InterfaceForCLog.cpp b/xbmc\platform\win32\utils\Win32InterfaceForCLog.cpp
--- a/xbmc/platform/win32/utils/Win32InterfaceForCLog.cpp	Mon Jan 28 11:15:50 2019
+++ b/xbmc/platform/win32/utils/Win32InterfaceForCLog.cpp	Wed Feb 06 10:15:39 2019
@@ -105,10 +105,13 @@
 #endif // _DEBUG
 }
 
-void CWin32InterfaceForCLog::GetCurrentLocalTime(int& hour, int& minute, int& second, double& millisecond)
+void CWin32InterfaceForCLog::GetCurrentLocalTime(int &year, int &month, int &day, int& hour, int& minute, int& second, double& millisecond)
 {
   SYSTEMTIME time;
   GetLocalTime(&time);
+  year = time.wYear;
+  month = time.wMonth;
+  day = time.wDay;
   hour = time.wHour;
   minute = time.wMinute;
   second = time.wSecond;
diff -urN a/xbmc/platform/win32/utils/Win32InterfaceForCLog.h b/xbmc/platform/win32/utils/Win32InterfaceForCLog.h
--- a/xbmc/platform/win32/utils/Win32InterfaceForCLog.h	Mon Jan 28 11:15:50 2019
+++ b/xbmc/platform/win32/utils/Win32InterfaceForCLog.h	Wed Feb 06 10:14:39 2019
@@ -21,7 +21,7 @@
   void CloseLogFile(void);
   bool WriteStringToLog(const std::string& logString);
   void PrintDebugString(const std::string& debugString);
-  static void GetCurrentLocalTime(int& hour, int& minute, int& second, double& millisecond);
+  static void GetCurrentLocalTime(int &year, int &month, int &day, int& hour, int& minute, int& second, double& millisecond);
 private:
   HANDLE m_hFile;
 };
diff -urN a/xbmc/utils/log.cpp b/xbmc/utils/log.cpp
--- a/xbmc/utils/log.cpp	Mon Jan 28 11:15:50 2019
+++ b/xbmc/utils/log.cpp	Wed Feb 06 10:27:27 2019
@@ -188,17 +188,20 @@
 
 bool CLog::WriteLogString(int logLevel, const std::string& logString)
 {
-  static const char* prefixFormat = "%02d:%02d:%02d.%03d T:%" PRIu64" %7s: ";
+  static const char* prefixFormat = "%02d-%02d-%02d %02d:%02d:%02d.%03d T:%" PRIu64" %7s: ";
 
   std::string strData(logString);
   /* fixup newline alignment, number of spaces should equal prefix length */
   StringUtils::Replace(strData, "\n", "\n                                            ");
 
-  int hour, minute, second;
+  int year, month, day, hour, minute, second;
   double millisecond;
-  g_logState.m_platform.GetCurrentLocalTime(hour, minute, second, millisecond);
+  g_logState.m_platform.GetCurrentLocalTime(year, month, day, hour, minute, second, millisecond);
 
   strData = StringUtils::Format(prefixFormat,
+                                  year,
+                                  month,
+                                  day,
                                   hour,
                                   minute,
                                   second,
